/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_STOPWORDS_H
#define _UDM_STOPWORDS_H

UDM_STOPWORD  *UdmStopListFind(UDM_STOPLIST *,const char *word, const char *lang);
void           UdmStopListFree(UDM_STOPLIST *);
void           UdmStopListSort(UDM_STOPLIST *);
UDM_API(udm_rc_t) UdmStopListLoad(UDM_ENV *,const char *fname);
udm_rc_t       UdmStopListAdd(UDM_STOPLIST *,UDM_STOPWORD *);

void UdmStopListListInit(UDM_STOPLISTLIST *Lst);
void UdmStopListListFree(UDM_STOPLISTLIST *Lst);
udm_rc_t UdmStopListListAdd(UDM_STOPLISTLIST *Lst, UDM_STOPLIST *Item);
UDM_STOPWORD *UdmStopListListFind(UDM_STOPLISTLIST *Lst,
                                  const char *word, const char *lang);
#endif
